Skip to content

Retrieves a list of categories

Request

GET {{baseURL}}/pay-int-api/categories

This endpoint retrieves a paginated list of the merchant's categories.

Results can be narrowed with the search parameter for a case-insensitive, partial-match lookup. This includes by name, and sorted using the orderby and asc parameters.

See Also:
To create a category, see POST /pay-int-api/categories.
To update a category, see PUT /pay-int-api/categories/{categoryId}.
To delete a category, see DELETE /pay-int-api/categories/{categoryId}.

Security
Bearer
Query
searchstring

Specifies the search string.

This performs a case insensitive, matching, or partially matching search.

The name field is searched. If the results are to be sorted, the field orderby to specify the sort field.

Example:search=Peppared
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
orderBystring

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
Headers
x-api-versionstring

Specifies the API version to use for the request.

Example: 1.0

Example:1.0
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pay-int-api/categories?search=Peppared&page=0&pageSize=15&orderBy=string&asc=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-version: 1.0'

Responses

OK

Bodyapplication/json
itemsArray of objects or null

Categories for the current page.

totalinteger, (int32)

Indicates the total number of categories found.

Example: 7

Example:7
Response
{ "items": [ { "name": "After-market sales", "id": "567ef5a6-7b8c-4d9e-0f1a-2b3c4d5e6f92", "defaultUnitTypeId": 32, "itemCount": 8 } ], "total": 7 }